#!/bin/ksh

# korn shell script to SET profile

# replaceable parameters:

# parameter #1: directory for met files
# parameter #2: name of met file
# parameter #3: latitude
# parameter #4: longitude
# parameter #5: output time offset (hrs)
# parameter #6: output time interval (hrs)
# parameter #7: hours after start time to stop output (hrs)
# parameter #8: wind dir instead of components = 1
# parameter #9: run name

metdir=${1}     ; echo '      metdir = '${metdir}
metfile=${2}    ; echo '     metfile = '${metdir}
latitude=${3}   ; echo '    latitude = '${metdir}
longitude=${4}  ; echo '   longitude = '${metdir}
offset=${5}     ; echo '      offset = '${metdir}
interval=${6}   ; echo '    interval = '${metdir}
stop_hrs=${7}   ; echo '    stop_hrs = '${metdir}
wind_dir=${8}   ; echo '    wind_dir = '${metdir}
run_name=${9}   ; echo '    run_name = '${metdir}

filename='profile.txt' ; if [ -a ${filename} ] ; then ; rm ${filename} ; fi
filename='MESSAGE'     ; if [ -a ${filename} ] ; then ; rm ${filename} ; fi
filename='WARNING'     ; if [ -a ${filename} ] ; then ; rm ${filename} ; fi

executable=~/hysplit4/exec/profile

# ../exec/profile
#  Usage: profile [-options]
#    -d[Input metdata directory name with ending /]
#   -f[input metdata file name]
#   -y[Latitude]
#   -x[Longitude]
#   -o[Output time offset (hrs)]
#   -t[Output time interval (hrs)]
#   -n[Hours after start time to stop output (hrs))]
#   -w[Wind direction instead of components=1]
#   -p[process ID number for output text file]
#   -e[extra digit in output values (0)-no,1-yes]

#  NOTE: leave no space between option and value

${executable} -d${metdir} -f${metfile} -y${latitude} -x${longitude} -o${offset} -t${interval} -n${stop_hrs} -w${wind_dir}

# **********************************************************************
#      rename OUTPUT files to include RUN NAME
# **********************************************************************

file='MESSAGE'     ; if [ -a ${file} ] ; then ; mv ${file} ${run_name}.msg ; fi
file='WARNING'     ; if [ -a ${file} ] ; then ; mv ${file} ${run_name}.warn ; fi
file='profile.txt' ; if [ -a ${file} ] ; then ; mv ${file} ${run_name}.profile.txt ; fi
